<?php

/**
 *  @template       TWIG-Sample
 *  @version        see info.php of this template
 *  @author         cms-lab
 *  @copyright      2010-2014 CMS-LAB
 *  @license        http://creativecommons.org/licenses/by/3.0/
 *  @license terms  see info.php of this template
 *  @platform       see info.php of this template
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined( 'LEPTON_PATH' ) )
{
    include( LEPTON_PATH . '/framework/class.secure.php' );
} 
else
{
    $oneback = "../";
    $root    = $oneback;
    $level   = 1;
    while ( ( $level < 10 ) && ( !file_exists( $root . '/framework/class.secure.php' ) ) )
    {
        $root .= $oneback;
        $level += 1;
    } 
    if ( file_exists( $root . '/framework/class.secure.php' ) )
    {
        include( $root . '/framework/class.secure.php' );
    } 
    else
    {
        trigger_error( sprintf( "[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER[ 'SCRIPT_NAME' ] ), E_USER_ERROR );
    }
}
// end include class.secure.php

//initialize twig template engine
global $parser, $loader;
if (!isset($parser))
{
	require_once( LEPTON_PATH."/modules/lib_twig/library.php" );
}

// prependpath to make sure, twig is looking in this module template folder first
$loader->prependPath( dirname(__FILE__)."/templates/" );

//load classes
require_once (LEPTON_PATH."/modules/lib_twig/classes/class.twig_utilities.php");
$twig_util = new twig_utilities( $parser, $loader );
// End of template-engines settings.

//Selecting the corrrect template
switch (PAGE_ID ) {
	case 1: 
		$template_name = "start.lte";
		break;
	default:
		$template_name = "site.lte";
}

//    AnyNews config ...    Keep in mind to set all params in this way
$config = array(
    'group_id_type' => 'group_id',
    'group_id' => 0,
    'display_mode' => 1,
    'start_news_item' => 0,
    'max_news_items' => 10,
    'max_news_length' => -1,
    'strip_tags' => true,
    'allowed_tags' => '<p><a><img>',
    'custom_placeholder' => false,
    'sort_by' => 1,
    'sort_order' => 1,
    'not_older_than' => 0,
    'lang_id' => 'AUTO',
    'lang_filter' => false,
);
	$anynews_html = $twig_util->capture_echo( "displayNewsItems( \$GLOBALS['config'] );");

/**
* 
* All the page_content is defined here...
*
*/

$page_content=array    (

    /*    set standard parameters  */
	'DEFAULT_CHARSET'		=> defined('DEFAULT_CHARSET') ? DEFAULT_CHARSET : 'utf-8',
	'get_page_headers'		=> $twig_util->capture_echo("get_page_headers();"),
	'simplepagehead' 		=> $twig_util->capture_echo("simplepagehead();"),
	'page_title' 	=> $twig_util->capture_echo("page_title();"),
	'description' 	=> $twig_util->capture_echo("page_description();"),
	'keywords' 		=> $twig_util->capture_echo("page_keywords();"),
	'TEMPLATE_DIR'	=> TEMPLATE_DIR,
	'page_id'       => PAGE_ID,
 	'home_url'   	=> LEPTON_URL,
	'meta_ie'	    => "<meta http-equiv='X-UA-Compatible' content='IE=EmulateIE7' />",
	'ie_no'	        => "<!--[if lte IE 6]><script type='text/javascript' charset='utf-8' src='" . TEMPLATE_DIR."/ie_js/ie6_no.js'></script><![endif]-->",
	'css_ie'        => "<!--[if lte IE 8]><style type='text/css' media='all'>@import '".TEMPLATE_DIR."/css/css-ie.css'</style><![endif]-->",
    
	
	/*    register modfiles  LEPTON 1series only - deprecated, will be replaced with get_page_headers in LEPTON 2series */		
	'register_frontend_css'	=> $twig_util->capture_echo ("register_frontend_modfiles('css');"),
	'register_frontend_js'	=> $twig_util->capture_echo ("register_frontend_modfiles('js');"),	
	
    /*    set some customs  */	
	'lep_header'    => $twig_util->capture_echo("page_header();"),
	'home'	        => "<a href='".LEPTON_URL."'><img src='".TEMPLATE_DIR."/img/blank.gif' width='900' height='180' alt='home' title='home' /></a>",	
	'headimage'	    => "<a href='".LEPTON_URL."'><img class='head_img' src='".TEMPLATE_DIR."/img/1.jpg' width='900' height='180' alt='home' title='home'/></a>",
	'search'   		=> "[[LEPTON_SearchBox]]",
	'login'   		=> "[[LoginBox]]",
	'edit_page'   	=> "[[editthispage]]",
	
    /*    set language flags  */
    'nl'	  		=> "<a href='".LEPTON_URL."'><img src='".TEMPLATE_DIR."/img/flag-nl.png' alt='Nederland' title='Nederland' border='0'  /></a>",
	'en'	  		=> "<a href='".LEPTON_URL."'><img src='".TEMPLATE_DIR."/img/flag-uk.png' alt='English' title='English' border='0'  /></a>",	

	/*    set standard content  */
    'content1' => $twig_util->capture_echo("page_content(1);"),
	'anynews'  => $anynews_html,
	
    /*    navigation  */	
	'navimain'		=> show_menu2( 1, SM2_ROOT, SM2_START, SM2_TRIM|SM2_BUFFER|SM2_PRETTY),
	'navimain2'		=> show_menu2( 2, SM2_ROOT, SM2_ALL, SM2_TRIM|SM2_BUFFER|SM2_PRETTY),
	'quicklinks'    => $twig_util->capture_echo ("show_menu2( 4,".$wb->page['root_parent'].", SM2_ROOT+1, SM2_TRIM|SM2_PRETTY);"),
	'breadcrumb'  	=> $twig_util->capture_echo ("show_menu2(1, SM2_ROOT+1, SM2_START, SM2_CRUMB);"),

    /*    foot block  */	
    'lep_footer'    => $twig_util->capture_echo("page_footer();"),
	'power'		    => "powered by <a href='http://cms-lab.com' target='_blank'>CMS-LAB</a>",
);

echo $parser->render( 
	$template_name,	//	template-filename
	$page_content	//	template-data
);
?>